## com.lowagie.text.xml
Class XmlDomWriter

    java.lang.Object
      com.lowagie.text.xml.XmlDomWriter

    public class XmlDomWriter

extends Object

Author:
  psoares

Field Summary
`protected boolean` `fCanonical` Canonical output.
`protected PrintWriter` `fOut` Print writer.
`protected boolean` `fXML11` Processing XML 1.1 document.

Constructor Summary
`XmlDomWriter()` Default constructor.
`XmlDomWriter(boolean canonical)`

Method Summary
`protected void` `normalizeAndPrint(char c, boolean isAttValue)` Normalizes and print the given character.
`protected void` `normalizeAndPrint(String s, boolean isAttValue)` Normalizes and prints the given string.
`void` `setCanonical(boolean canonical)` Sets whether output is canonical.
`void` `setOutput(OutputStream stream, String encoding)` Sets the output stream for printing.
`void` `setOutput(Writer writer)` Sets the output writer.
`protected Attr[]` `sortAttributes(NamedNodeMap attrs)` Returns a sorted list of attributes.
`void` `write(Node node)` Writes the specified node, recursively.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fOut

    protected PrintWriter fOut

  Print writer.

### fCanonical

    protected boolean fCanonical

  Canonical output.

### fXML11

    protected boolean fXML11

  Processing XML 1.1 document.

Constructor Detail

### XmlDomWriter

    public XmlDomWriter()

  Default constructor.

### XmlDomWriter

    public XmlDomWriter(boolean canonical)

Method Detail

### setCanonical

    public void setCanonical(boolean canonical)

  Sets whether output is canonical.

### setOutput

    public void setOutput(OutputStream stream,
                          String encoding)
                   throws UnsupportedEncodingException

  Sets the output stream for printing.

  Throws:
    `UnsupportedEncodingException`

### setOutput

    public void setOutput(Writer writer)

  Sets the output writer.

### write

    public void write(Node node)

  Writes the specified node, recursively.

### sortAttributes

    protected Attr[] sortAttributes(NamedNodeMap attrs)

  Returns a sorted list of attributes.

### normalizeAndPrint

    protected void normalizeAndPrint(String s,
                                     boolean isAttValue)

  Normalizes and prints the given string.

### normalizeAndPrint

    protected void normalizeAndPrint(char c,
                                     boolean isAttValue)

  Normalizes and print the given character.

Hosted by Hostbasket